<?php
session_start();
require_once "../init.php";
require_once "../authority.inc.php";

$IsReply = $_GET['IsReply'];
$keyword = $_POST['keyword'];

$backUrl = GetUrl();
$keyword=trim($keyword);
if($keyword){
	$wheres = " AND (question.Subject like '%$keyword%') ";
}
if($IsReply!=""){
	$wheres .= " AND question.IsReply='$IsReply'";
}
if($UserName!=""){
	$wheres .= " AND question.UserName='$UserName'";
}
/*** 得到总记录数 *************/
$sql = "select count(*) from question where 1 $wheres";
$rs  = $DB->query($sql);
$pageSize = 30;
$totalRecord = $DB->result($rs,0,0);
$totalPage   = ceil($totalRecord/$pageSize);
if(!$page)$page = 1;
$offset = ($page-1)*$pageSize;
/*** 查询 *************/
$sql = "SELECT * FROM question WHERE 1 $wheres ORDER BY ID DESC LIMIT $offset,$pageSize";
$result = $DB->query($sql);
$pageList = GetPageList($_SERVER[PHP_SELF],"page","15",$totalPage,$page);
$PNum = $DB->num_rows($result);
?>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=gb2312">

<meta name="renderer" content="webkit|ie-comp|ie-stand">
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
<meta name="viewport" content="width=device-width,initial-scale=1,minimum-scale=1.0,maximum-scale=1.0,user-scalable=no" />
<meta http-equiv="Cache-Control" content="no-siteapp" />
<!--[if lt IE 9]>
<script type="text/javascript" src="../lib/html5.js"></script>
<script type="text/javascript" src="../lib/respond.min.js"></script>
<script type="text/javascript" src="../lib/PIE_IE678.js"></script>
<![endif]-->
<link rel="stylesheet" type="text/css" href="../static/h-ui/css/H-ui.min.css" />
<link rel="stylesheet" type="text/css" href="../static/h-ui.admin/css/H-ui.admin.css" />
<link rel="stylesheet" type="text/css" href="../lib/Hui-iconfont/1.0.7/iconfont.css" />
<link rel="stylesheet" type="text/css" href="../lib/icheck/icheck.css" />
<link rel="stylesheet" type="text/css" href="../static/h-ui.admin/skin/default/skin.css" id="skin" />
<link rel="stylesheet" type="text/css" href="../static/h-ui.admin/css/style.css" />
<!--[if IE 6]>
<script type="text/javascript" src="../static/h-ui.admin/js/DD_belatedPNG_0.0.8a-min.js" ></script>
<script>DD_belatedPNG.fix('*');</script>
<![endif]-->
<title>客户问题管理</title>

<script src='../share/global.js'></script>
</head>
<body>



<nav class="breadcrumb"><i class="Hui-iconfont">&#xe67f;</i> 首页 <span class="c-gray en">&gt;</span> 评论管理 <span class="c-gray en">&gt;</span> 意见反馈 <a class="btn btn-success radius r" style="line-height:1.6em;margin-top:3px" href="javascript:location.replace(location.href);" title="刷新" ><i class="Hui-iconfont">&#xe68f;</i></a></nav>

<form method='post' action='<?=$_SERVER['PHP_SELF']?>'>
<div class="page-container">
	<div class="text-c"> 日期范围：
		<input type="text" onfocus="WdatePicker({maxDate:'#F{$dp.$D(\'logmax\')||\'%y-%M-%d\'}'})" id="logmin" class="input-text Wdate" style="width:120px;">
		-
		<input type="text" onfocus="WdatePicker({minDate:'#F{$dp.$D(\'logmin\')}',maxDate:'%y-%M-%d'})" id="logmax" class="input-text Wdate" style="width:120px;">
		<input type="text" name="keyword"  value="<?=$keyword?>" id="" placeholder=" 输入关键词" style="width:250px" class="input-text">
		<button name="" id="" class="btn btn-success" type="submit"><i class="Hui-iconfont">&#xe665;</i> 搜 索</button>
	</div>
</form>
<? include "ques_nav.inc.php"?>
	
	<div class="mt-20">


			<?
	if($PNum){
?>
		<table class="table table-border table-bordered table-hover table-bg table-sort">
			<thead>
				<tr class="text-c">
					<th width="25"><input type="checkbox" name="" value=""></th>
					<th width="60">ID</th>
					<th width="60">用户名</th>
	<th width="60">联系人</th>
		<th width="60">问题类型</th>
			<th width="60">标题</th>
					<th>提问时间</th>
					<th>是否回复</th>
					<th width="100">操作</th>


				</tr>
			</thead>
			<tbody>

			   <? while($QuesI=$DB->fetch_array($result)){
		       $dkey = GetHashKey('ques'.$QuesI[ID]);
			   $ukey = GetHashKey('users'.$QuesI[UserName]);	
	    ?>
				<tr class="text-c">
					<td><input type="checkbox" value="1" name=""></td>
					<td><?=$QuesI[ID]?></td>

   <td>
		  <a href='../users/user_edit.php?UserName=<?=$QuesI[UserName]?>&backUrl=<?=$backUrl?>&key=<?=$ukey?>'><?=$QuesI[UserName]?></a>
		  <?=$QuesI[UserName]?"":"&nbsp;"?>
		  </td>
          <td><?=$QuesI[Contact]?$QuesI[Contact]:"&nbsp;"?></td>
		  <td><?=$QuesI[QuesType]?></td>
		  <td><?=$QuesI[Subject]?></td>
		  <td><?=$QuesI[dtCreate]?></td>
		  <td>
			 <?
				 if($QuesI[IsReply]==1) echo " <font color='green'>已回复</font> ";
				 else echo " 未回复 ";
		     ?>
		  </td>
          <td> 
			<a href="ques_reply.php?ID=<?=$QuesI[ID]?>&key=<?=$dkey?>&backUrl=<?=$backUrl?>">回复</a> |
            <a href="ques_del.php?ID=<?=$QuesI[ID]?>&key=<?=$dkey?>&backUrl=<?=$backUrl?>" onclick="return confirm('确定删除吗?')">删除</a>
		  </td>




					
			       </tr>
        <? }?>
      </table>

			
			</tbody>
		</table>





      <?	}else{
			   echo "<center><br><br>没有相关记录<br><br></center>";
			}
?>
<br>    




<? 
$DB->close();
include "../share/bottom.php";
?>



<script type="text/javascript" src="/admin/lib/jquery/1.9.1/jquery.min.js"></script> 
<script type="text/javascript" src="/admin/lib/layer/2.1/layer.js"></script> 
<script type="text/javascript" src="/admin/lib/laypage/1.2/laypage.js"></script> 
<script type="text/javascript" src="/admin/lib/My97DatePicker/WdatePicker.js"></script> 
<script type="text/javascript" src="/admin/lib/datatables/1.10.0/jquery.dataTables.min.js"></script> 
<script type="text/javascript" src="/admin/static/h-ui/js/H-ui.js"></script> 
<script type="text/javascript" src="/admin/static/h-ui.admin/js/H-ui.admin.js"></script> 
<script type="text/javascript">
$(function(){
	$('.table-sort').dataTable({
		"aaSorting": [[ 1, "desc" ]],//默认第几个排序
		"bStateSave": true,//状态保存
		"aoColumnDefs": [
		  //{"bVisible": false, "aTargets": [ 3 ]} //控制列的隐藏显示
		  {"orderable":false,"aTargets":[0,2,4]}// 制定列不参与排序
		]
	});
	$('.table-sort tbody').on( 'click', 'tr', function () {
		if ( $(this).hasClass('selected') ) {
			$(this).removeClass('selected');
		}
		else {
			table.$('tr.selected').removeClass('selected');
			$(this).addClass('selected');
		}
	});
});
/*用户-添加*/
function member_add(title,url,w,h){
	layer_show(title,url,w,h);
}
/*用户-查看*/
function member_show(title,url,id,w,h){
	layer_show(title,url,w,h);
}
/*用户-停用*/
function member_stop(obj,id){
	layer.confirm('确认要停用吗？',function(index){
		$(obj).parents("tr").find(".td-manage").prepend('<a style="text-decoration:none" onClick="member_start(this,id)" href="javascript:;" title="启用"><i class="Hui-iconfont">&#xe6e1;</i></a>');
		$(obj).parents("tr").find(".td-status").html('<span class="label label-defaunt radius">已停用</span>');
		$(obj).remove();
		layer.msg('已停用!',{icon: 5,time:1000});
	});
}

/*用户-启用*/
function member_start(obj,id){
	layer.confirm('确认要启用吗？',function(index){
		$(obj).parents("tr").find(".td-manage").prepend('<a style="text-decoration:none" onClick="member_stop(this,id)" href="javascript:;" title="停用"><i class="Hui-iconfont">&#xe631;</i></a>');
		$(obj).parents("tr").find(".td-status").html('<span class="label label-success radius">已启用</span>');
		$(obj).remove();
		layer.msg('已启用!',{icon: 6,time:1000});
	});
}
/*用户-编辑*/
function member_edit(title,url,id,w,h){
	layer_show(title,url,w,h);
}
/*密码-修改*/
function change_password(title,url,id,w,h){
	layer_show(title,url,w,h);	
}
/*用户-删除*/
function member_del(obj,id){
	layer.confirm('确认要删除吗？',function(index){
		$(obj).parents("tr").remove();
		layer.msg('已删除!',{icon:1,time:1000});
	});
}
</script>

</body>
</html>
